###########################
#### SET-UP WORKSPACE #####
###########################

#Set working directory
setwd("C:/Warren_JPR_2016_rep")

#Clear workspace
rm(list=ls())

#Load libraries
library(RSiena)
library(data.table)
library(pROC)

##########################
##### SET PARAMETERS #####
##########################

version_name <- "DemLevel6"

##############################
## Specifciation Parameters ##
##############################
start_yr <- 1920  # first year of analysis
end_yr   <- 2000  # last year of analysis
incr_yr  <- 10    # length of temporal periods

pred_sim <- FALSE # simulate out-of-sample predictions
pred_yr  <- 2010  # year of prediction target

est_min <- FALSE  # estimate "minimal" specification
                  # (removes co-evolutionary effects)

con_lag  <- 15    # number of years of conflict persistence

con_level <- 3    # MID hostility level cut-off

dem_level <- 6    # polity2 democracy cut-off

####################################
## Convergence Control Parameters ##
####################################
num_cores   <- 6            # Number of processor cores to use at once
num_reps    <- 100          # Maximum number of attempts at model convergence
num_diag    <- 0.8          # Diagonalization for derivative matrix
num_firstg  <- 0.1          # Step size for Robbins-Monro procedure
num_n2start <- c(20, 800)   # Minimum number of iterations in phase 2 (start, end)
num_n3sims  <- c(500, 5000) # Number of simulation runs in phase 3 (start, end)
num_tconv <- 0.1            # tcmax convergence threshold
num_tcmax <- 0.25           # tcmax convergence threshold

######################################
## Load RSiena Formatting Functions ##
######################################

source("RSiena_helper_functions.R")

###############
## RUN MODEL ##
###############

source("run_model.R")
